# $Id$
# Authority: 
# Name: Bertrand DAVID

%define name ovidentia
%define version 6.7.4
%define release 4

Summary: Ovidentia for SME Server
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
Distribution: SMEserver
License: GPL
Group: /Web/Applications
Source: %{name}-%{version}.tar.gz
URL: http://www.ovidentia.org
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArchitectures: noarch
Requires: e-smith-devtools

%description
Ovidentia is an open source content management and collaborative platform written with PHP and using a MySQL database.

%changelog
* Thu Dec 23 2008 Bertrand DAVID <bertrand.david@orange-ftgroup.com>
- Improvement of the building process.

* Wed Dec 18 2008 Bertrand DAVID <bertrand.david@orange-ftgroup.com>
- Deletion of the ovidentia's virtual host templates after removal.
- Improvement of the httpd restarting.

* Fri Dec 12 2008 Bertrand DAVID <bertrand.david@orange-ftgroup.com>
- Expand the template httpd.conf with expand-template.
- Httpd restart
- user "www" is now the new owner of /opt/ovidentia

%prep
%setup

%build

%install
/bin/rm -rf $RPM_BUILD_ROOT
(cd root ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
	
%clean
/bin/rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
